Subject: Re: [PATCH 1/3] http: authenticate on NTLM proxies and others suppported, by CuRL

From: Thomas Rast <[email-masked]>
Date: Tue, 28 Feb 2012 18:30:51 +0100

Nelson Benitez Leon <[email-masked]> writes:

> On 02/28/2012 03:32 PM, Thomas Rast wrote:
>> Nelson Benitez Leon <[email-masked]> writes:
>> 
>>> -	if (curl_http_proxy)
>>> +	if (curl_http_proxy) {
>>>  		curl_easy_setopt(result, CURLOPT_PROXY, curl_http_proxy);
>>> +		curl_easy_setopt(result, CURLOPT_PROXYAUTH, CURLAUTH_ANY);
>>> +	}
>> 
>> There was another attempt at doing the same very recently:
>> 
>>   http://thread.gmane.org/gmane.comp.version-control.git/191140
>> 
>> I could swear there was a second one, but apparently that was you.
>> Neither you nor Marco submitter have so far answered the question I
>> raised in
>> 
>>   http://thread.gmane.org/gmane.comp.version-control.git/191155
>> 
>> which can be summarized as: please make a case -- and put it in the
>> message! -- for or against making this configurable.  Is there a speed
>> tradeoff?  (However, you could steal some of Daniel Stenberg's
>> reasoning!)
>
> I don't see any reason to make this configurable, [snip]

Sorry for not making this clear, but you don't have to explain it to me
in the list archives; rather, the commit message should sufficiently
take care of it.  That is, I was objecting to your (lack of a) commit
message.

The argument you need to counter here is (Daniel explains this) curl
does an extra roundtrip to the proxy to determine which protocols work,
which is a little extra cost.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch